Ansible gives me an error during execution of some playbooks

I use Ansible 2.9.2 on Ubuntu Server 18.04 + Python 3.6.9. Here is a simple Ansible project: https://github.com/770715/ansible.git If I run: ansible-playbook -i aws_ec2.yml add-ssh-keys.yml it works just fine but when I try to run: ansible-playbook -i aws_ec2.yml playbook.yml I get an error: [email protected]:~/code/build/ansible$ ansible-playbook -i aws_ec2.yml playbook.yml /usr/lib/python3/dist-packages/requests/__init__.py:80: RequestsDependencyWarning: urllib3 (1.25.7) or chardet (3.0.4)…

Setting ssl_prefer_server_ciphers directive in nginx config

This question is about setting the correct value of ssl_prefer_server_ciphers while configuring nginx. According to a fairly typical config suggested by Mozilla, the value should be off (source: https://ssl-config.mozilla.org/#server=nginx&server-version=1.17.7&config=intermediate&openssl-version=1.0.1g). According to nginx’s own documentation, one should always set this to on: https://www.nginx.com/blog/nginx-https-101-ssl-basics-getting-started/ (search the document for ssl_prefer_server_ciphers). I’m stumped as to which advice to follow.…

dpkg throws an error when regenerating certs of my instance on AWS

I’m trying to regenerate certs for my instance on AWS through Docker-Machine as I do need to do it quite often for some reason. All of the sudden I’m getting this error after running docker-machine regenerate-certs [instance]: Error running “DEBIAN_FRONTEND=noninteractive sudo -E apt-get install -y curl”: ssh command error: command : DEBIAN_FRONTEND=noninteractive sudo -E apt-get…